repo/gentoo:master commit in: app-arch/unzip/
"Sam James" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786750801.883541097b9e079a62e0db4db120ce654635f52f.sam@gentoo> |
commit: 883541097b9e079a62e0db4db120ce654635f52f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 23:37:52 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 23:40:01 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=88354109
app-arch/unzip: add 6.0_p31
Update the Debian patchset for some vulnerability fixes and use the series
file to get the right order.
I've made src_test set TZ to reduce one of the differences in the output
and also used the same dir as in src_compile, although the diff still shows
something and it doesn't seem to fail. Progress however.
Bug: https://bugs.gentoo.org/980838
Signed-off-by: Sam James <sam <AT> gentoo.org>
app-arch/unzip/Manifest | 1 +
app-arch/unzip/unzip-6.0_p31.ebuild | 108 ++++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/app-arch/unzip/Manifest b/app-arch/unzip/Manifest
index 60c786b5f15b..0168a34af59a 100644
--- a/app-arch/unzip/Manifest
+++ b/app-arch/unzip/Manifest
@@ -1,2 +1,3 @@
DIST unzip60.tar.gz 1376845 BLAKE2B 5016d300b4452018a391f4ebc03c6960c068df400a0407c0c60bd7bb5ec5012031f916d8b204a6149ba291c2c35beba40d9b43c76fc093026e79471329ab0e47 SHA512 0694e403ebc57b37218e00ec1a406cae5cc9c5b52b6798e0d4590840b6cdbf9ddc0d9471f67af783e960f8fa2e620394d51384257dca23d06bcd90224a80ce5d
DIST unzip_6.0-29.debian.tar.xz 25876 BLAKE2B b4477fe1c611e91bf878aeab868a2fd5b5fc62f81a43eb8505716edea8d56509947ca5fe6ca2b0a72899e1681e75cdb22911c3ba454eb453eb401c0e63af7e9a SHA512 527baae307d9ae169b6f9ad29319c61a2386de523319200efeda4a763b78777554e9ec035351c0da9160656c8b8e7aba60cc18fe1eb23fccca1e0115dee63e57
+DIST unzip_6.0-31.debian.tar.xz 27232 BLAKE2B cec55b499ca41f281f9c72ff8b176ee9c3c51263a49d1888161dc8ba9a779916247c30fdaa1d8c521c5013a5ebd61a3500f4021dc262ad90625948b2a91efba8 SHA512 63ddbf7aa70469a4f9bf239e127d794dc178f274fcb12e6d2721d7325df6066590874227fd45ddece2eb55c5363f05194dda071eb10355bb84dda8a617c57ec5
diff --git a/app-arch/unzip/unzip-6.0_p31.ebuild b/app-arch/unzip/unzip-6.0_p31.ebuild
new file mode 100644
index 000000000000..5bd0f5817c21
--- /dev/null
+++ b/app-arch/unzip/unzip-6.0_p31.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic multilib toolchain-funcs
+
+MY_PV="${PV//.}"
+MY_PV="${MY_PV%_p*}"
+MY_P="${PN}${MY_PV}"
+
+DESCRIPTION="unzipper for pkzip-compressed files"
+HOMEPAGE="https://infozip.sourceforge.net/UnZip.html"
+SRC_URI="
+ https://downloads.sourceforge.net/infozip/${MY_P}.tar.gz
+ mirror://debian/pool/main/u/${PN}/${PN}_${PV/_p/-}.debian.tar.xz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Info-ZIP"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+IUSE="bzip2 natspec unicode"
+
+DEPEND="
+ bzip2? ( app-arch/bzip2 )
+ natspec? ( dev-libs/libnatspec )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ sed -i -e '/this-is-debian-unzip/d' "${WORKDIR}"/debian/patches/series || die
+
+ PATCHES=(
+ $(sed -e 's:^:../debian/patches/:' "${WORKDIR}"/debian/patches/series || die)
+
+ "${FILESDIR}"/${PN}-6.0-no-exec-stack.patch
+ "${FILESDIR}"/${PN}-6.0-format-security.patch
+ "${FILESDIR}"/${PN}-6.0-c99-configure.patch
+ )
+
+ # bug #275244
+ use natspec && PATCHES+=( "${FILESDIR}"/${PN}-6.0-natspec.patch )
+
+ default
+
+ sed -i \
+ -e 's:LFLAGS2="-s":LFLAGS2=:' \
+ unix/configure || die
+ sed -i -r \
+ -e '/^CFLAGS/d' \
+ -e '/CFLAGS/s:-O[0-9]?:$(CFLAGS) $(CPPFLAGS):' \
+ -e '/^STRIP/s:=.*:=true:' \
+ -e "s:\<CC *= *\"?g?cc2?\"?\>:CC=\"$(tc-getCC)\":" \
+ -e "s:\<LD *= *\"?(g?cc2?|ld)\"?\>:LD=\"$(tc-getCC)\":" \
+ -e "s:\<AS *= *\"?(g?cc2?|as)\"?\>:AS=\"$(tc-getCC)\":" \
+ -e 's:LF2 = -s:LF2 = :' \
+ -e 's:LF = :LF = $(LDFLAGS) :' \
+ -e 's:SL = :SL = $(LDFLAGS) :' \
+ -e 's:FL = :FL = $(LDFLAGS) :' \
+ -e "/^#L_BZ2/s:^$(use bzip2 && echo .)::" \
+ -e 's:$(AS) :$(AS) $(ASFLAGS) :g' \
+ unix/Makefile \
+ || die "sed unix/Makefile failed"
+
+ # Delete bundled code to make sure we don't use it.
+ rm -r bzip2 || die
+}
+
+src_configure() {
+ case ${CHOST} in
+ i?86*-*linux*) TARGET="linux_asm" ;;
+ *linux*) TARGET="linux_noasm" ;;
+ *-darwin*) TARGET="macosx" ;;
+ *-solaris*) TARGET="linux_noasm" ;;
+ *-gnu) TARGET="generic" ;;
+ # generic may work but there may be a better-suited target
+ # so we should get people to check.
+ *) die "Unknown target; please update the ebuild to handle ${CHOST}" ;;
+ esac
+
+ [[ ${CHOST} == *linux* ]] && append-cppflags -DNO_LCHMOD
+ [[ ${CHOST} == *-solaris* ]] && append-cppflags -DNO_LCHMOD -DBSD4_4
+ use bzip2 && append-cppflags -DUSE_BZIP2
+ use unicode && append-cppflags -DUNICODE_SUPPORT -DUNICODE_WCHAR -DUTF8_MAYBE_NATIVE -DUSE_ICONV_MAPPING
+
+ # bug #281473
+ append-cppflags -DLARGE_FILE_SUPPORT
+}
+
+src_compile() {
+ ASFLAGS="${ASFLAGS} $(get_abi_CFLAGS)" emake -f unix/Makefile ${TARGET}
+}
+
+src_test() {
+ # Match the timezone with which test files were created, per a warning
+ # it prints upon a mismatch.
+ local -x TZ=CET
+
+ ASFLAGS="${ASFLAGS} $(get_abi_CFLAGS)" emake -f unix/Makefile check
+}
+
+src_install() {
+ dobin unzip funzip unzipsfx unix/zipgrep
+ dosym unzip /usr/bin/zipinfo
+ doman man/*.1
+ dodoc BUGS History* README ToDo WHERE
+}